> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chatnorris.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List agents

> Get the paginated list of your organization's AI agents.

# List agents

Returns all of your organization's AI agents, sorted by creation date in descending order.

```http theme={null}
GET https://app.chatnorris.ai/api/v2/chatbots
Authorization: Bearer <your_api_key>
```

**Required scope:** `chatbots:read`

***

## Query parameters

| Parameter | Type | Description |
| - | - | - |
| `page` | integer | Page number. Default: `1` |
| `per_page` | integer | Results per page. Default: `25`, maximum `100` |

***

## Response

```json theme={null}
{
  "status": "success",
  "data": {
    "chatbots": [
      {
        "id": "bot_abc123",
        "name": "Customer support",
        "description": "Support agent for general questions",
        "system_prompt": "You are Acme Corp's virtual assistant...",
        "model": "claude-sonnet-4-6",
        "temperature": 0.3,
        "max_tokens": 1000,
        "is_active": true,
        "is_published": true,
        "widget_config": {
          "primaryColor": "#00ed64",
          "greeting": "Hi! How can I help you?",
          "leadCapture": false
        },
        "created_at": "2025-03-20T14:30:00.000Z",
        "updated_at": "2025-06-01T09:15:00.000Z"
      }
    ]
  },
  "pages": {
    "current_page": 1,
    "last_page": 1,
    "per_page": 25,
    "total": 3
  }
}
```

### Response fields

| Field | Type | Description |
| - | - | - |
| `id` | string | Unique ID of the agent |
| `name` | string | Agent name |
| `description` | string \| null | Optional description |
| `system_prompt` | string | System instructions |
| `model` | string | Configured AI model |
| `temperature` | number | Temperature (0–1) |
| `max_tokens` | integer | Maximum reply length |
| `is_active` | boolean | Whether the agent is active |
| `is_published` | boolean | Whether the agent is published (visible on channels) |
| `widget_config` | object | Widget visual settings |
| `created_at` | string | Creation date (ISO 8601) |
| `updated_at` | string | Last modified (ISO 8601) |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.